#
# spec file for package libgssglue
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libgssglue
Url:            http://www.citi.umich.edu/projects/nfsv4/linux
Summary:        Generic GSSAPI Library
License:        BSD-3-Clause and MIT
Group:          Development/Libraries/C and C++
Version:        0.4
Release:        8.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  pkg-config
%define debug_package_requires libgssglue1 = %{version}-%{release}
PreReq:         %fillup_prereq %insserv_prereq
Source:         http://www.citi.umich.edu/projects/nfsv4/linux/%{name}/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
Patch0:         config-guess-sub-update.patch
Patch1:         secure-getenv.patch

%description
This library exports a gssapi interface, but does not implement any
gssapi mechanisms itself. Instead it calls gssapi routines in other
libraries, depending on the mechanism.

%package -n libgssglue1
Summary:        Generic GSSAPI Library
Group:          Development/Libraries/C and C++

%description -n libgssglue1
This library exports a gssapi interface, but does not implement any
gssapi mechanisms itself. Instead it calls gssapi routines in other
libraries, depending on the mechanism.

%package devel
Summary:        Generic GSSAPI Library
Group:          Development/Libraries/C and C++
# last used 11.0
Provides:       libgssapi = %{version}
Obsoletes:      libgssapi <= 0.11
Requires:       glibc-devel
Requires:       libgssglue1 = %{version}

%description devel
This library exports a gssapi interface, but does not implement any
gssapi mechanisms itself. Instead it calls gssapi routines in other
libraries, depending on the mechanism.

%prep
%setup -q
%patch0
%patch1 -p1

%build
autoconf
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" 
%configure --libdir=/%_lib --disable-static
%{__make} %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
#rm -f $RPM_BUILD_ROOT/usr/local/include/gssglue/gssapi/gssapi.h
install -d $RPM_BUILD_ROOT/etc
sed -e "s@/lib/@/%_lib/@" doc/gssapi_mech.conf > $RPM_BUILD_ROOT/etc/gssapi_mech.conf
%{__mkdir_p} %{buildroot}%{_libdir}
%{__ln_s} -v /%{_lib}/$(readlink %{buildroot}/%{_lib}/%{name}.so) %{buildroot}%{_libdir}/%{name}.so
%{__rm} -v %{buildroot}/%{_lib}/%{name}.{so,la}
%{__mv} -v $RPM_BUILD_ROOT/%{_lib}/pkgconfig $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libgssglue1 -p /sbin/ldconfig

%postun -n libgssglue1 -p /sbin/ldconfig

%files -n libgssglue1
%defattr(-,root,root)
%config /etc/gssapi_mech.conf
/%{_lib}/libgssglue.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libgssglue.so
%{_libdir}/pkgconfig/libgssglue.pc
%dir %{_includedir}/gssglue/
%{_includedir}/gssglue/*

%changelog
* Mon Jul 29 2013 meissner@suse.com
- Updated to 0.4 release
  Use secure_getenv instead of getenv for setuid
  programs (bnc#694598 CVE-2011-2709 bnc#831805)
- secure-getenv.patch: updated patch to use the now available
  secure_getenv() instead.
* Mon Apr 15 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrl
* Mon Feb  4 2013 dmueller@suse.de
- Add config-guess-sub-update.patch:
  * Update config.guess/sub for aarch64
* Thu Sep 13 2012 coolo@suse.com
- replace ; with and in license tag
* Tue Dec 20 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Sun Sep 25 2011 nfbrown@suse.com
- new upstream version 0.3.  Only changes are new
  typedefs to resolve some compiling issues.
* Fri Jul  8 2011 coolo@novell.com
- add baselibs.conf to allow pam to link against it
* Mon May 23 2011 meissner@suse.de
- Release 0.2
  - Modify the gss_acquire_cred() code to accept, and
    properly handle, an input name of GSS_C_NO_NAME.
    Other misc. changes to support this change.
  - Remove some generated files from git.  Change
    autogen.sh to clean up files that might become
    outdated and incompatible.
* Sun Oct 31 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Sat Apr 24 2010 coolo@novell.com
- buildrequire pkg-config to fix provides
* Wed Oct 28 2009 crrodriguez@opensuse.org
- libgssglue-devel Requires glibc-devel
* Mon Aug  3 2009 meissner@suse.de
- added missing fclose
* Wed Oct 22 2008 mrueckert@suse.de
- fix debug_packages_requires define
* Fri Aug  1 2008 ro@suse.de
- fix requires for debuginfo package
* Wed May  7 2008 coolo@suse.de
- provide and obsolete in the same package
* Fri Mar 28 2008 lrupp@suse.de
- provide the latest used version (0.11) of old package
* Wed Mar 26 2008 mkoenig@suse.de
- update to version 0.1 of renamed libgssglue
- upstream library rename libgssapi -> libgssglue
  to resolve conflicts with Heimdal and MIT libraries named
  libgssapi.
- package restucturing due to shlib policy:
  new packages libgssglue1, libgssglue-devel
* Mon Feb 25 2008 crrodriguez@suse.de
- fix library-without-ldconfig-postin errors
* Fri May 11 2007 mkoenig@suse.de
- update to version 0.11:
  * Add glue routine for gss_krb5_ccache_name
* Tue Sep  5 2006 ro@suse.de
- added config file /etc/gssapi_mech.conf (#203248)
* Tue Aug  8 2006 ro@suse.de
- update to version 0.10 (changes since 0.6):
  - Add symbol versioning script and use it when linking
    the library.  This allows us to use the gss_* symbols
    from MIT gssapi_krb5 libraries without namespace
    collision problems.  This is required for use with
    MIT release 1.5 which no longer exports the krb5_gss_*
    symbols.  (This should also allow us to work with
    Heimdal as well. Currently untested.)
  - Remove code that tries to get symbols with names
    krb5_gss_*.
  - Correct declaration and implementation of
    gss_export_lucid_sec_context(). This results in an
    interface change.  The soname is updated to reflect this.
  - Memory leak: free union_name in gss_acquire_cred if
    it was allocated there.
  - Don't exit() the application if initialization fails,
    just fail the operation.
  - Add glue routines for gss_canonicalize_name and
    gss_export_name
  - Make "first-class" routines for gss_get_mic,
    gss_verify_mic, gss_wrap, and gss_unwrap
  - Clean up some clutter of unused #ifde'd code
  - Patch from Timo Aaltonen <tjaalton@cc.hut.fi> for
    Debian packaging.
  - Change union_name definition such that external_name
    is a gss_buffer_desc rather than gss_buffer_t.
    Eliminates unnecessary malloc'ing and freeing.
  - A patch from Olaf Kirch <okir@suse.de> to
    gss_inquire_cred() to remove a potential
    problem of an uninitialized variable and to return
    an error if generic_gss_copy_oid() fails.
  - Revert a bad change made to gss_free_lucid_sec_context().
  - Clean up some compiler warnings
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 okir@suse.de
- Update to latest upstream version (0.6)
* Fri May 20 2005 okir@suse.de
- Initial packaging
